<template>
  <button :style="status?.style" class="approveStatus">
    {{ status?.label }}
  </button>
</template>

<script setup lang="ts">
import { computed } from "vue";
import { eStatus, allStatus } from "./status";

const props = defineProps<{
  type: eStatus;
}>();

const status = computed(() => {
  return allStatus.find((i) => i.value === props.type);
});
</script>

<style scoped>
.approveStatus {
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;

  width: 70px;
  height: 25px;
  border-radius: 4px;
}
</style>
